org.springframework.jms.core

## Interface MessagePostProcessor

Functional Interface:
  This is a functional interface and can therefore be used as the assignment target for a lambda expression or method reference.

    @FunctionalInterface
    public interface MessagePostProcessor

To be used with JmsTemplate's send method that converts an object to a message.

This allows for further modification of the message after it has been processed by the converter and is useful for setting JMS headers and properties.

Often implemented as a lambda expression or as an anonymous inner class.

Since:
  1.1
Author:
  Mark Pollack
See Also:
  `JmsTemplate.convertAndSend(String, Object, MessagePostProcessor)`, `JmsTemplate.convertAndSend(javax.jms.Destination, Object, MessagePostProcessor)`, `MessageConverter`

### Method Summary

All Methods Instance Methods Abstract Methods
`Message` `postProcessMessage(Message message)` Process the given message.

### Method Detail

#### postProcessMessage

    Message postProcessMessage(Message message)
                        throws JMSException

Process the given message.

The returned message is typically a modified version of the original.

Parameters:
  `message` - the JMS message from the MessageConverter
Returns:
  a post-processed variant of the message, or simply the incoming message; never `null`
Throws:
  `JMSException` - if thrown by JMS API methods